uses-permission 与 uses-sdk冲突的问题

Android 码拜 5年前 (2015-04-25) 175次浏览 0个评论
 

eclipse开发
因为要使用网络访问webservice,所以在Manifest中加入了<uses-permission android:name=”android.permission.INTERNET” /> 
工程默认会有一个<uses-sdk
        android:minSdkVersion=”8″
        android:targetSdkVersion=”21″ />

编译运行时,模拟器无法访问网络(现象是调用webservice不返回),如果把<uses-sdk
        android:minSdkVersion=”8″
        android:targetSdkVersion=”21″ />删了,什么都不用动,直接运行,模拟器就可以访问webservice并返回。
可以如果再修改代码,编辑器会提示requires API level 8 (current min is 1): android.util.Base64#decode。
但是加上<uses-sdk
        android:minSdkVersion=”8″
        android:targetSdkVersion=”21″ />就不会提示requires API level 8……。
为了运行又必须删除android:minSdkVersion……
如此反复,痛苦死了,求帮助!
求解释!

<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.example.pginfo"
    android:versionCode="1"
    android:versionName="1.0" >
    
	<uses-permission android:name="android.permission.INTERNET" /> 
    <uses-sdk
        android:minSdkVersion="15"
        android:targetSdkVersion="21" />
	<uses-sdk
        android:minSdkVersion="15"
        android:targetSdkVersion="21" />
    <application
        android:allowBackup="true"
        android:icon="@drawable/ic_launcher"
        android:label="@string/app_name"
        android:theme="@style/AppTheme" >
        <activity
            android:name=".MainActivity"
            android:label="@string/app_name" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".Detail"
            
            ></activity>
    </application>

</manifest>
uses-permission 与 uses-sdk冲突的问题
上面粘错了 ,实际是

<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.example.hitpginfo"
    android:versionCode="1"
    android:versionName="1.0" >
    
	<uses-permission android:name="android.permission.INTERNET" /> 
    <uses-sdk
        android:minSdkVersion="8"
        android:targetSdkVersion="21" />
    <application
        android:allowBackup="true"
        android:icon="@drawable/ic_launcher"
        android:label="@string/app_name"
        android:theme="@style/AppTheme" >
        <activity
            android:name=".MainActivity"
            android:label="@string/app_name" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".Detail"
            
            ></activity>
    </application>

</manifest>
uses-permission 与 uses-sdk冲突的问题
20分
看你的描述minSdkVersion应该是要加的,
但为什么webservice访问失败……需要你调试一下
这个锅不能让minSdkVersion背
uses-permission 与 uses-sdk冲突的问题
20分
在android 4.0之后的sdk里面,主线程是不能够访问网络的,楼主看一下是不是这个原因

CodeBye 版权所有丨如未注明 , 均为原创丨本网站采用BY-NC-SA协议进行授权 , 转载请注明uses-permission 与 uses-sdk冲突的问题
喜欢 (0)
[1034331897@qq.com]
分享 (0)

文章评论已关闭!